Index: code/trunk/data/levels/gametype_dynamicmatch.oxw
===================================================================
--- code/trunk/data/levels/gametype_dynamicmatch.oxw	(revision 7163)
+++ code/trunk/data/levels/gametype_dynamicmatch.oxw	(revision 7163)
@@ -0,0 +1,124 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_ghost.oxt")
+  include("dynamicmatchhud.oxo")
+  include("templates/lodinformation.oxt")
+?>
+
+<Level
+ name         = "Dynamic Match"
+ description  = "In progress -level for dynamicmatch"
+ gametype     = "Dynamicmatch"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/Starbox"
+  >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+<!-- ------------------Planet needs gravity----------------- -->
+<Planet position="0,0,0" scale=500 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+<StaticEntity position="0,0,0" collisionType=static>
+      <collisionShapes>
+        <SphereCollisionShape radius="499" />
+      </collisionShapes>
+    </StaticEntity>
+
+<!-- -----------12-Spawnpoints around the planet------------- -->
+<TeamSpawnPoint team=0 position="1000,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="-1000,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,1000,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,-1000,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,0,1000" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,0,-1000" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<!--outer Spawnpoints -->
+<TeamSpawnPoint team=0 position="2000,0,0" lookat="0,0,1" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="-2000,0,0" lookat="0,0,-1" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,2000,0" lookat="0,1,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,-2000,0" lookat="0,-1,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,0,2000" lookat="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+<TeamSpawnPoint team=0 position="0,0,-2000" lookat="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+
+<?lua
+    dofile("includes/CuboidSpaceStation.lua")
+  ?>
+<!-- ----------------Rotating satellite--------------- -->
+<MovableEntity position="1,1,1" rotationrate="-4.5" rotationaxis="0,0,1">
+        <attached>
+          <StaticEntity position="-2500,0,0" yaw=90 pitch=90>
+            <attached>
+              <?lua
+                createSpaceStationPar(0,2,1,2,1,4,1,50)
+              ?>
+                <TeamSpawnPoint team=2 position="20,20,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+                <TeamSpawnPoint team=2 position="-20,-20,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+                <TeamSpawnPoint team=2 position="-10,10,20" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+            </attached>
+          </StaticEntity>
+        </attached>
+</MovableEntity>
+
+<!-- ---------------asteroid ellypse----------------- -->
+<?lua
+max = 20
+for i = 1, max, 1
+do
+    y = math.sin(i/max*6)*4000
+    z = math.cos(i/max*6)*5000
+    x = i*100
+    ?>
+<?lua
+for k = 1, 25, 1
+do
+j = math.random()
+?>
+
+    <StaticEntity position="<?lua print(x + math.random() * 1000-500) ?>,<?lua print(y + math.random() * 1000-500) ?>,<?lua print(z + math.random() * 5000-2500) ?>" scale=<?lua print(j * 5) ?> >
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+	  <attached><!-- ---------asteroid fog----- -->
+            <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+          </attached>
+	</Model>
+      </attached>
+      <?lua if i == 5 then ?><collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 70) ?>" />
+      </collisionShapes> <?lua end ?>
+    </StaticEntity>
+<?lua
+end
+?>
+<?lua end ?>
+
+    <GlobalShader compositor="Bloom" visible=false>
+      <events>
+        <visibility>
+          <DistanceTrigger position="0,0,0" distance=30 target="Spectator" switch=true />
+        </visibility>
+      </events>
+    </GlobalShader>
+<!-- ----------------random fog --- not in use
+<?lua
+for i = 1, 100, 1
+do
+j = math.random()
+?>
+
+    <StaticEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>">
+      <attached>
+        <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+      </attached>
+    </StaticEntity>
+
+<?lua
+end
+?>
+-->
+  </Scene>
+</Level>
Index: code/trunk/data/levels/gametype_underattack.oxw
===================================================================
--- code/trunk/data/levels/gametype_underattack.oxw	(revision 7117)
+++ code/trunk/data/levels/gametype_underattack.oxw	(revision 7163)
@@ -4,4 +4,5 @@
   include("underattackhud.oxo")
   include("templates/spaceship_assff.oxt")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -11,4 +12,8 @@
  gametype     = UnderAttack
 >
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
@@ -18,128 +23,128 @@
 
     <?lua for i = 1, 30, 1 do ?>
-        <MovableEntity
-            position="<?lua print(math.random() * 10000 - 5000) ?>, <?lua print(math.random() * 10000 - 5000) ?>, <?lua print(math.random() * 10000 - 5000) ?>"
-            velocity="<?lua print(math.random() * 500 - 250) ?>, <?lua print(math.random() * 500 - 250) ?>, <?lua print(math.random() * 500 - 250) ?>"
-        >
-            <attached>
-                <Model
-                    <?lua x = math.random() * 150 + 30 ?>
-                    scale="<?lua print(x) ?>"
-                    mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh"
-                    position="0,0,0"
-                />
-            </attached>
-            <collisionShapes>
-                <SphereCollisionShape radius=<?lua print(x) ?> position="0,0,0" />
-            </collisionShapes>
-        </MovableEntity>
+      <MovableEntity
+          position="<?lua print(math.random() * 10000 - 5000) ?>, <?lua print(math.random() * 10000 - 5000) ?>, <?lua print(math.random() * 10000 - 5000) ?>"
+          velocity="<?lua print(math.random() * 500 - 250) ?>, <?lua print(math.random() * 500 - 250) ?>, <?lua print(math.random() * 500 - 250) ?>"
+      >
+        <attached>
+          <Model
+              <?lua x = math.random() * 150 + 30 ?>
+              scale="<?lua print(x) ?>"
+              mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh"
+              position="0,0,0"
+          />
+        </attached>
+          <collisionShapes>
+            <SphereCollisionShape radius=<?lua print(x) ?> position="0,0,0" />
+          </collisionShapes>
+      </MovableEntity>
     <?lua end ?>
 
     <Destroyer
-        position          = "100,150,0"
-        collisionType     = dynamic
-        mass              = 100000
-        velocity          = "-35,0,0"
-        angularDamping    = 0.9999999
-        health            = 10000
-        maxhealth         = 10000
-        initialhealth     = 10000
+      position          = "100,150,0"
+      collisionType     = dynamic
+      mass              = 100000
+      velocity          = "-35,0,0"
+      angularDamping    = 0.9999999
+      health            = 10000
+      maxhealth         = 10000
+      initialhealth     = 10000
     >
 
-        <attached>
-            <TeamSpawnPoint team=1 position="150,0,7" direction="-1,0,0" roll=90 yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
-            <TeamSpawnPoint team=1 position="0,0,7" lookat="-1,0,0" roll="90"  yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
-            <TeamSpawnPoint team=1 position="-50,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
-            <TeamSpawnPoint team=1 position="100,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
-            <TeamSpawnPoint team=1 position="50,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
-            <?lua for i = 1, 100, 1 do ?>
-                <TeamSpawnPoint
-                    team=0
-                    position="<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>,<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>,<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>"
-                    lookat="0,0,0"
-                    spawnclass=SpaceShip
-                    pawndesign=spaceshipassff
-                />
+      <attached>
+        <TeamSpawnPoint team=1 position="150,0,7" direction="-1,0,0" roll=90 yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
+        <TeamSpawnPoint team=1 position="0,0,7" lookat="-1,0,0" roll="90"  yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
+        <TeamSpawnPoint team=1 position="-50,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
+        <TeamSpawnPoint team=1 position="100,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
+        <TeamSpawnPoint team=1 position="50,0,7" lookat="-1,0,0" roll="90" yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff />
+        <?lua for i = 1, 100, 1 do ?>
+          <TeamSpawnPoint
+            team=0
+            position="<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>,<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>,<?lua print((math.random() * 500 + 500) * (math.floor(math.random() + 0.5) * 2 - 1)) ?>"
+            lookat="0,0,0"
+            spawnclass=SpaceShip
+            pawndesign=spaceshipassff
+          />
 
-                <!--more spawnpoints for team1-->
-                <!--
-                <TeamSpawnPoint
-                    team=1 position="<?lua print((math.random() * 500 + 500)) ?>,<?lua print((math.random() * 500 + 500) ) ?>,<?lua print((math.random() * 500 + 500)) ?>"
-                    lookat="0,0,0"
-                    spawnclass=SpaceShip
-                    pawndesign=spaceshipassff
-                />-->
-            <?lua end ?>
+          <!--more spawnpoints for team1-->
+          <!--
+          <TeamSpawnPoint
+            team=1 position="<?lua print((math.random() * 500 + 500)) ?>,<?lua print((math.random() * 500 + 500) ) ?>,<?lua print((math.random() * 500 + 500)) ?>"
+            lookat="0,0,0"
+            spawnclass=SpaceShip
+            pawndesign=spaceshipassff
+          />-->
+        <?lua end ?>
 
-            <Model mesh="Carrier.mesh" scale="5" />
-            <Backlight
-                mainstate=activity
-                active=false
-                scale=0.4
-                name=bltest
-                position=" 7.6, 0, 6"
-                colour="0.2, 0.65, 1.0, 1.0"
-                width=15
-                length=1500
-                lifetime=2
-                elements=50
-                trailmaterial="Trail/backlighttrail"
-                turnontime=1
-                turnofftime=1
-                material="Flares/ThrusterFlare1"
-            />
-            <?lua for i=0,8,1 do ?>
-                <BlinkingBillboard
-                    position="<?lua print(200-270/8*i)?> ,15,2"
-                    material="Examples/Flare"
-                    colour="1.0, 0.5, 0.3"
-                    phase=<?lua print(-360/8*i)?>
-                    amplitude=0.1
-                    frequency=0.5
-                    quadratic=1
-                />
+        <Model mesh="Carrier.mesh" scale="5" />
+        <Backlight
+          mainstate=activity
+          active=false
+          scale=0.4
+          name=bltest
+          position=" 7.6, 0, 6"
+          colour="0.2, 0.65, 1.0, 1.0"
+          width=15
+          length=1500
+          lifetime=2
+          elements=50
+          trailmaterial="Trail/backlighttrail"
+          turnontime=1
+          turnofftime=1
+          material="Flares/ThrusterFlare1"
+        />
+        <?lua for i=0,8,1 do ?>
+          <BlinkingBillboard
+            position="<?lua print(200-270/8*i)?> ,15,2"
+            material="Examples/Flare"
+            colour="1.0, 0.5, 0.3"
+            phase=<?lua print(-360/8*i)?>
+            amplitude=0.1
+            frequency=0.5
+            quadratic=1
+          />
 
-                <BlinkingBillboard
-                    position="<?lua print(200-270/8*i)?>,-15,2"
-                    material="Examples/Flare"
-                    colour="1.0, 0.5, 0.3"
-                    phase=<?lua print(-360/8*i)?>
-                    amplitude=0.1
-                    frequency=0.5
-                    quadratic=1
-                />
-            <?lua end ?>
+          <BlinkingBillboard
+            position="<?lua print(200-270/8*i)?>,-15,2"
+            material="Examples/Flare"
+            colour="1.0, 0.5, 0.3"
+            phase=<?lua print(-360/8*i)?>
+            amplitude=0.1
+            frequency=0.5
+            quadratic=1
+          />
+        <?lua end ?>
 
-            <Backlight
-                scale=1
-                position=" 169, 75, -15"
-                colour="1, 0.85, 0.5, 0.5"
-                width=40
-                length=1000
-                lifetime=5
-                elements=15
-                trailmaterial="Trail/backlighttrail"
-                material="Examples/Flare"
-            />
-            <Backlight
-                scale=1
-                position=" 169, -75, -15"
-                colour="1, 0.85, 0.5, 0.5"
-                width=40
-                length=1000
-                lifetime=5
-                elements=15
-                trailmaterial="Trail/backlighttrail"
-                material="Examples/Flare" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
-            <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
-            <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
-            <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
-            <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
-            <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
-            <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
-        </collisionShapes>
+        <Backlight
+          scale=1
+          position=" 169, 75, -15"
+          colour="1, 0.85, 0.5, 0.5"
+          width=40
+          length=1000
+          lifetime=5
+          elements=15
+          trailmaterial="Trail/backlighttrail"
+          material="Examples/Flare"
+        />
+        <Backlight
+          scale=1
+          position=" 169, -75, -15"
+          colour="1, 0.85, 0.5, 0.5"
+          width=40
+          length=1000
+          lifetime=5
+          elements=15
+          trailmaterial="Trail/backlighttrail"
+          material="Examples/Flare" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+        <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+        <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+        <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+        <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+        <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+        <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+      </collisionShapes>
     </Destroyer>
 
@@ -158,4 +163,5 @@
       </collisionShapes>
     </StaticEntity>
+    
   </Scene>
 </Level>
Index: code/trunk/data/levels/includes/CuboidSpaceStation.lua
===================================================================
--- code/trunk/data/levels/includes/CuboidSpaceStation.lua	(revision 7117)
+++ code/trunk/data/levels/includes/CuboidSpaceStation.lua	(revision 7163)
@@ -329,5 +329,5 @@
 -- Insert the SatelliteDish.
 topPartsIndex[2]=8
-bodyParts[topPartsIndex[2]][0][0][0][4]="SatelliteDish.mesh"
+bodyParts[topPartsIndex[2]][0][0][0][4]="satellitedish.mesh"
 bodyParts[topPartsIndex[2]][0][0][0][5]="pitch=-90"
 bodyParts[topPartsIndex[2]][0][0][0][8]="rotationaxis=\"0,1,0\" rotationrate=5"
Index: code/trunk/data/levels/includes/pickups.oxi
===================================================================
--- code/trunk/data/levels/includes/pickups.oxi	(revision 7117)
+++ code/trunk/data/levels/includes/pickups.oxi	(revision 7163)
@@ -1,2 +1,37 @@
+
+<!-- Shield pickups -->
+
+<PickupRepresentation
+    pickupName = "Small Shield Pickup"
+    pickupDescription = "Gives you a small-sized shield for 30 seconds."
+    inventoryRepresentation = "SmallShield"
+    spawnerTemplate = "smallshieldpickupRepresentation"
+>
+    <pickup>
+        <ShieldPickup template=smallshieldpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Medium Shield Pickup"
+    pickupDescription = "Gives you a medium-sized shield for 30 seconds."
+    inventoryRepresentation = "MediumShield"
+    spawnerTemplate = "mediumshieldpickupRepresentation"
+>
+    <pickup>
+        <ShieldPickup template=mediumshieldpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Huge Shield Pickup"
+    pickupDescription = "Gives you a big shield for 60 seconds."
+    inventoryRepresentation = "HugeShield"
+    spawnerTemplate = "hugeshieldpickupRepresentation"
+>
+    <pickup>
+        <ShieldPickup template=hugeshieldpickup />
+    </pickup>
+</PickupRepresentation>
 
 <!-- Health pickups -->
@@ -73,7 +108,8 @@
 
 <PickupRepresentation
-    name = "Small Speed Boost"
-    description = "Multiplies Speed of the Ship by a small amount."
+    pickupName = "Small Speed Boost"
+    pickupDescription = "Multiplies Speed of the Ship by a small amount."
     spawnerTemplate = "smallspeedpickupRepresentation"
+    inventoryRepresentation = "SmallSpeed"
 >
     <pickup>
@@ -83,7 +119,8 @@
 
 <PickupRepresentation
-    name = "Medium Speed Boost"
-    description = "Multiplies Speed of the Ship by a bigger amount."
+    pickupName = "Medium Speed Boost"
+    pickupDescription = "Multiplies Speed of the Ship by a bigger amount."
     spawnerTemplate = "mediumspeedpickupRepresentation"
+    inventoryRepresentation = "MediumSpeed"
 >
     <pickup>
@@ -93,7 +130,8 @@
 
 <PickupRepresentation
-    name = "Huge Speed Boost"
-    description = "Multiplies Speed of the Ship by a huge amount."
+    pickupName = "Huge Speed Boost"
+    pickupDescription = "Multiplies Speed of the Ship by a huge amount."
     spawnerTemplate = "hugespeedpickupRepresentation"
+    inventoryRepresentation = "HugeSpeed"
 >
     <pickup>
@@ -103,7 +141,8 @@
 
 <PickupRepresentation
-    name = "Small Jump Boost"
-    description = "Boosts the Ship with a massive amount for a very short time."
+    pickupName = "Small Jump Boost"
+    pickupDescription = "Boosts the Ship with a massive amount for a very short time."
     spawnerTemplate = "smalljumppickupRepresentation"
+    inventoryRepresentation = "SmallSpeed"
 >
     <pickup>
@@ -115,7 +154,8 @@
 
 <PickupRepresentation
-    name = "small Invisibility"
-    description = "Makes you invisible for 5 seconds."
+    pickupName = "Small Invisibility"
+    pickupDescription = "Makes you invisible for 5 seconds."
     spawnerTemplate = "smallinvisiblepickupRepresentation"
+    inventoryRepresentation = "SmallInvisible"
 >
     <pickup>
@@ -125,7 +165,8 @@
 
 <PickupRepresentation
-    name = "medium Invisibility"
-    description = "Makes you invisible for 10 seconds."
+    pickupName = "Medium Invisibility"
+    pickupDescription = "Makes you invisible for 10 seconds."
     spawnerTemplate = "mediuminvisiblepickupRepresentation"
+    inventoryRepresentation = "MediumInvisible"
 >
     <pickup>
@@ -135,7 +176,8 @@
 
 <PickupRepresentation
-    name = "hunge Invisibility"
-    description = "Makes you invisible for 20 seconds."
+    pickupName = "Huge Invisibility"
+    pickupDescription = "Makes you invisible for 20 seconds."
     spawnerTemplate = "hugeinvisiblepickupRepresentation"
+    inventoryRepresentation = "HugeInvisible"
 >
     <pickup>
@@ -147,5 +189,5 @@
 
 <PickupRepresentation
-    pickupName = "Triple Pickup"
+    pickupName = "Tri Pickup"
     pickupDescription = "Adds health, speed and invisibility."
     spawnerTemplate = "triplehealthspeedinvisibilitypickupRepresentation"
@@ -156,2 +198,14 @@
 </PickupRepresentation>
 
+<!-- Drone Pickup -->
+
+<PickupRepresentation
+    pickupName = "Drone Pickup"
+    pickupDescription = "Adds a Drone to the Players Spaceship"
+    spawnerTemplate = "dronepickupRepresentation"
+>
+    <pickup>
+        <DronePickup template=dronepickup />
+    </pickup>
+</PickupRepresentation>
+
Index: code/trunk/data/levels/includes/weaponsettings3.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings3.oxi	(revision 7117)
+++ code/trunk/data/levels/includes/weaponsettings3.oxi	(revision 7163)
@@ -8,4 +8,5 @@
       <WeaponSet firemode=1 />
       <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
     </weaponsets>
     <weapons>
@@ -15,15 +16,15 @@
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
           <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
         </links>
         <Weapon>
           <attached>
-            <Model mesh="LightningGun.mesh" pitch="78" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
             <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
-            <Model mesh="hs-w01.mesh" roll="195" position="0,1,0" scale=2 />
-            <Model mesh="hs-w01s.mesh" roll="195" position="0.1,0.5,0" scale=2 />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.7, 1.5,-4" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset="-0.9, 1.1,-4" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
@@ -31,13 +32,13 @@
             <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
             <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
-            <Model mesh="hs-w01.mesh" roll="165" position="0,1,0" scale=2 />
-            <Model mesh="hs-w01s.mesh" roll="165" position="-0.1,0.5,0" scale=2 />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset=" 0.9, 1.1, -4.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.7, 1.5, -4.0" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
-          <RocketFire mode=2 muzzleoffset="0,0,0" />
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=100 />
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/includes/weaponsettings_H2.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_H2.oxi	(revision 7117)
+++ code/trunk/data/levels/includes/weaponsettings_H2.oxi	(revision 7163)
@@ -18,6 +18,6 @@
             <Model mesh="hs-w01s.mesh" roll="180" position="0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
         </Weapon>
         <Weapon>
@@ -26,6 +26,6 @@
             <Model mesh="hs-w01s.mesh" roll="180" position="-0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/includes/weaponsettings_HXY.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_HXY.oxi	(revision 7117)
+++ code/trunk/data/levels/includes/weaponsettings_HXY.oxi	(revision 7163)
@@ -14,11 +14,11 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
Index: code/trunk/data/levels/includes/weaponsettings_fps.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_fps.oxi	(revision 7163)
+++ code/trunk/data/levels/includes/weaponsettings_fps.oxi	(revision 7163)
@@ -0,0 +1,49 @@
+    <weaponslots>
+      <WeaponSlot position="0,0,0" yaw=0 pitch=0 roll=0 />
+ <!--      <WeaponSlot position="-0.5,0.8,2.5" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="15,-1.5,-25" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 /> -->
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack firemode=0>
+	<links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+        </links>
+	<Weapon>
+	   <HsW01 mode=0 munitionpershot=0 delay=0.0 material="Flares/point_lensflare" muzzleoffset=" 0.7, -0.3, -3" />
+           <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+        <LaserGun
+            position="0,0,0"
+            munitionType="LaserGunMunition"
+            bulletLoadingTime="0.2"
+            magazineLoadingTime="5.0"
+            speed="1000"
+            unlimitedMunition=true
+        />
+  <!--       <LaserGun
+            position="0,0,0"
+            munitionType="LaserGunMunition"
+            bulletLoadingTime="0.2"
+            magazineLoadingTime="5.0"
+            speed="1250"
+            unlimitedMunition=true
+        />
+      </WeaponPack>
+      <WeaponPack firemode=1>
+        <Fusion
+            position="0,0,0"
+            munitionType="FusionMunition"
+            bulletLoadingTime="0.3"
+            magazineLoadingTime="3"
+            speed="600"
+            unlimitedMunition=true
+        /> -->
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponsettings_ghost.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_ghost.oxi	(revision 7117)
+++ code/trunk/data/levels/includes/weaponsettings_ghost.oxi	(revision 7163)
@@ -14,11 +14,11 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
